from pathlib import Path

from decouple import config
import niobot


ATTACH_PATH = Path(config("ATTACH_PATH", default="./attachments/", cast=str))


class ReactionsModule(niobot.Module):
    """Specifically for reactions/replies to certain comments/events."""

    def __init__(self, bot: niobot.NioBot):
        self.bot = bot

    @niobot.command()
    async def weekend(self, ctx: niobot.Context):
        """Ladies and gentlemen--the weekend. . ."""
        print(ATTACH_PATH / "weekend.mp4")
        attachment = await niobot.VideoAttachment.from_file(ATTACH_PATH / "weekend.mp4")
        await ctx.client.send_message(ctx.room, None, attachment)
